<?php

namespace App\Modules\Shared\Domain\Storage\Criteria;

use App\Modules\Shared\Domain\QueryBuilder\Operator\Operator;

class CriteriaBuilder
{

    public function __construct() {}

    public function build(
        $aggregateRootClass,
        ?Operator $operator = null,
        ?Order $order = null,
        ?int $limit = null,
        ?int $offset = null
    ) {
        return new BasicStorageCriteria($aggregateRootClass, $operator, $order, $limit, $offset);
    }
}
